function R=any(A,dim)
% -- any(X)
% -- any(X, DIM)
%     For the N-by-m-by-n amat X argument, return a N-by-1-by-1 amat of logical 
%     ones and zeros with each element indicating whether any of the elements of
%     the corresponding matrix are nonzero.  
%
%     If the optional argument DIM is supplied, work along dimension DIM.
%        DIM==3 (default) along rows and columns of amat, 
%               return a N-by-1-by-1 logical amat 
%        DIM==1 along rows of X, 
%               return a N-by-n-by-m logical amat 
%        DIM==2 along columns of amat, 
%               return a N-by-m-by-1 logical amat
%        DIM==0 along N, 
%               return a n-by-m logical matrix
  if nargin==1, dim=3;end
  assert( ismember(dim,0:3) ) %&& ~isempty(A) )
  switch dim
    case 1
      R=amat(any(A.values,2));
    case 2
      R=amat(any(A.values,3));  
    case 0
        R=squeeze(any(A.values,1));
    case 3
      R=amat(any(any(A.values,2),3));
  end
end
